﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

@media only screen and (max-height: 612px){ /* on small screens */
    #game-component {
        font-size: small;
    }
    #game-component h4 {
        font-size: large;
    }
    #game-component h1 {
        font-size: x-large;
    }
    #game-component input, #game-component .input-group-text {
        font-size: small;
    }
    #corner-logo {
        width: 55px;
        height: 55px;
    }
    .custom-scroller::before {
        content: '';
        display: block;
        position: relative;
        margin-bottom: -10px;
        z-index: 200;

        -moz-box-shadow:    inset  0  10px 10px -10px grey;
        -webkit-box-shadow: inset  0  10px 10px -10px grey;
        box-shadow:        inset  0  10px 10px -10px grey;

        height: 10px;
        width: 100%;
    }
    .custom-scroller::after {
        content: '';
        display: block;
        position: relative;
        margin-top: -10px;

        z-index: 201;

        -moz-box-shadow:    inset  0 -10px 10px -10px grey;
        -webkit-box-shadow: inset  0 -10px 10px -10px grey;
        box-shadow:        inset  0 -10px 10px -10px grey;

        height: 10px;
        width: 100%;
    }
    .cah-card {
        width: 120px; 
        height: 100px;
        padding: 8px;
        font-size: .85em;
    }
    .cah-qcard {
        width: 160px; 
        height: 140px;
        padding: 8px;
    }
    .btn {
        font-size: small;
    }
}

@media only screen and (min-height: 613px){ /* on large screens */
    #corner-logo {
        width: 64px;
        height: 64px;
    }
    .cah-card {
        width: 240px; 
        height: 200px;
        font-size: 1.2em;
        padding: 20px;
    }
    .cah-qcard {
        width: 240px; 
        height: 240px;
        font-size: 1.2em;
        padding: 20px;
    }
}

.cah-card, .cah-qcard {
    font-weight: bold;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}


.fader {
    -webkit-transition: opacity 1s ease-in;
    -moz-transition: opacity 1s ease-in;
    -ms-transition: opacity 1s ease-in;
    -o-transition: opacity 1s ease-in;
    transition: opacity 1s ease-in;
}

